--GENERATED ON: 05/12/2024 06:59:09


if (SPRITE_DATA == nil) then SPRITE_DATA = {}; end;

SPRITE_DATA['c-r-heavyw-comp'] = {
	TEX_WIDTH=1970,
	TEX_HEIGHT=1012,
	FRAME_COUNT=144,
	FRAME_COORDS={
		[1]=v2fM(0,0),
		[2]=v2fM(0,0436548223350254,0),
		[3]=v2fM(0,0873096446700508,0),
		[4]=v2fM(0,130964467005076,0),
		[5]=v2fM(0,174619289340102,0),
		[6]=v2fM(0,218274111675127,0),
		[7]=v2fM(0,261928934010152,0),
		[8]=v2fM(0,305583756345178,0),
		[9]=v2fM(0,349238578680203,0),
		[10]=v2fM(0,392893401015228,0),
		[11]=v2fM(0,436548223350254,0),
		[12]=v2fM(0,0,0909090909090909),
		[13]=v2fM(0,0436548223350254,0,0909090909090909),
		[14]=v2fM(0,0873096446700508,0,0909090909090909),
		[15]=v2fM(0,130964467005076,0,0909090909090909),
		[16]=v2fM(0,174619289340102,0,0909090909090909),
		[17]=v2fM(0,218274111675127,0,0909090909090909),
		[18]=v2fM(0,261928934010152,0,0909090909090909),
		[19]=v2fM(0,305583756345178,0,0909090909090909),
		[20]=v2fM(0,349238578680203,0,0909090909090909),
		[21]=v2fM(0,392893401015228,0,0909090909090909),
		[22]=v2fM(0,436548223350254,0,0909090909090909),
		[23]=v2fM(0,0,181818181818182),
		[24]=v2fM(0,0436548223350254,0,181818181818182),
		[25]=v2fM(0,0873096446700508,0,181818181818182),
		[26]=v2fM(0,130964467005076,0,181818181818182),
		[27]=v2fM(0,174619289340102,0,181818181818182),
		[28]=v2fM(0,218274111675127,0,181818181818182),
		[29]=v2fM(0,261928934010152,0,181818181818182),
		[30]=v2fM(0,305583756345178,0,181818181818182),
		[31]=v2fM(0,349238578680203,0,181818181818182),
		[32]=v2fM(0,392893401015228,0,181818181818182),
		[33]=v2fM(0,436548223350254,0,181818181818182),
		[34]=v2fM(0,0,272727272727273),
		[35]=v2fM(0,0436548223350254,0,272727272727273),
		[36]=v2fM(0,0873096446700508,0,272727272727273),
		[37]=v2fM(0,130964467005076,0,272727272727273),
		[38]=v2fM(0,174619289340102,0,272727272727273),
		[39]=v2fM(0,218274111675127,0,272727272727273),
		[40]=v2fM(0,261928934010152,0,272727272727273),
		[41]=v2fM(0,305583756345178,0,272727272727273),
		[42]=v2fM(0,349238578680203,0,272727272727273),
		[43]=v2fM(0,392893401015228,0,272727272727273),
		[44]=v2fM(0,436548223350254,0,272727272727273),
		[45]=v2fM(0,0,363636363636364),
		[46]=v2fM(0,0436548223350254,0,363636363636364),
		[47]=v2fM(0,0873096446700508,0,363636363636364),
		[48]=v2fM(0,130964467005076,0,363636363636364),
		[49]=v2fM(0,174619289340102,0,363636363636364),
		[50]=v2fM(0,218274111675127,0,363636363636364),
		[51]=v2fM(0,261928934010152,0,363636363636364),
		[52]=v2fM(0,305583756345178,0,363636363636364),
		[53]=v2fM(0,349238578680203,0,363636363636364),
		[54]=v2fM(0,392893401015228,0,363636363636364),
		[55]=v2fM(0,436548223350254,0,363636363636364),
		[56]=v2fM(0,0,454545454545455),
		[57]=v2fM(0,0436548223350254,0,454545454545455),
		[58]=v2fM(0,0873096446700508,0,454545454545455),
		[59]=v2fM(0,130964467005076,0,454545454545455),
		[60]=v2fM(0,174619289340102,0,454545454545455),
		[61]=v2fM(0,218274111675127,0,454545454545455),
		[62]=v2fM(0,261928934010152,0,454545454545455),
		[63]=v2fM(0,305583756345178,0,454545454545455),
		[64]=v2fM(0,349238578680203,0,454545454545455),
		[65]=v2fM(0,392893401015228,0,454545454545455),
		[66]=v2fM(0,436548223350254,0,454545454545455),
		[67]=v2fM(0,0,545454545454545),
		[68]=v2fM(0,0436548223350254,0,545454545454545),
		[69]=v2fM(0,0873096446700508,0,545454545454545),
		[70]=v2fM(0,130964467005076,0,545454545454545),
		[71]=v2fM(0,174619289340102,0,545454545454545),
		[72]=v2fM(0,218274111675127,0,545454545454545),
		[73]=v2fM(0,261928934010152,0,545454545454545),
		[74]=v2fM(0,305583756345178,0,545454545454545),
		[75]=v2fM(0,349238578680203,0,545454545454545),
		[76]=v2fM(0,392893401015228,0,545454545454545),
		[77]=v2fM(0,436548223350254,0,545454545454545),
		[78]=v2fM(0,0,636363636363636),
		[79]=v2fM(0,0436548223350254,0,636363636363636),
		[80]=v2fM(0,0873096446700508,0,636363636363636),
		[81]=v2fM(0,130964467005076,0,636363636363636),
		[82]=v2fM(0,174619289340102,0,636363636363636),
		[83]=v2fM(0,218274111675127,0,636363636363636),
		[84]=v2fM(0,261928934010152,0,636363636363636),
		[85]=v2fM(0,305583756345178,0,636363636363636),
		[86]=v2fM(0,349238578680203,0,636363636363636),
		[87]=v2fM(0,392893401015228,0,636363636363636),
		[88]=v2fM(0,436548223350254,0,636363636363636),
		[89]=v2fM(0,0,727272727272727),
		[90]=v2fM(0,0436548223350254,0,727272727272727),
		[91]=v2fM(0,0873096446700508,0,727272727272727),
		[92]=v2fM(0,130964467005076,0,727272727272727),
		[93]=v2fM(0,174619289340102,0,727272727272727),
		[94]=v2fM(0,218274111675127,0,727272727272727),
		[95]=v2fM(0,261928934010152,0,727272727272727),
		[96]=v2fM(0,305583756345178,0,727272727272727),
		[97]=v2fM(0,349238578680203,0,727272727272727),
		[98]=v2fM(0,392893401015228,0,727272727272727),
		[99]=v2fM(0,436548223350254,0,727272727272727),
		[100]=v2fM(0,0,818181818181818),
		[101]=v2fM(0,0436548223350254,0,818181818181818),
		[102]=v2fM(0,0873096446700508,0,818181818181818),
		[103]=v2fM(0,130964467005076,0,818181818181818),
		[104]=v2fM(0,174619289340102,0,818181818181818),
		[105]=v2fM(0,218274111675127,0,818181818181818),
		[106]=v2fM(0,261928934010152,0,818181818181818),
		[107]=v2fM(0,305583756345178,0,818181818181818),
		[108]=v2fM(0,349238578680203,0,818181818181818),
		[109]=v2fM(0,392893401015228,0,818181818181818),
		[110]=v2fM(0,436548223350254,0,818181818181818),
		[111]=v2fM(0,0,909090909090909),
		[112]=v2fM(0,0436548223350254,0,909090909090909),
		[113]=v2fM(0,0873096446700508,0,909090909090909),
		[114]=v2fM(0,130964467005076,0,909090909090909),
		[115]=v2fM(0,174619289340102,0,909090909090909),
		[116]=v2fM(0,218274111675127,0,909090909090909),
		[117]=v2fM(0,261928934010152,0,909090909090909),
		[118]=v2fM(0,305583756345178,0,909090909090909),
		[119]=v2fM(0,349238578680203,0,909090909090909),
		[120]=v2fM(0,392893401015228,0,909090909090909),
		[121]=v2fM(0,436548223350254,0,909090909090909),
		[122]=v2fM(0,519796954314721,0),
		[123]=v2fM(0,563451776649746,0),
		[124]=v2fM(0,607106598984772,0),
		[125]=v2fM(0,650761421319797,0),
		[126]=v2fM(0,694416243654822,0),
		[127]=v2fM(0,738071065989848,0),
		[128]=v2fM(0,781725888324873,0),
		[129]=v2fM(0,825380710659898,0),
		[130]=v2fM(0,869035532994924,0),
		[131]=v2fM(0,912690355329949,0),
		[132]=v2fM(0,956345177664975,0),
		[133]=v2fM(0,519796954314721,0,0909090909090909),
		[134]=v2fM(0,563451776649746,0,0909090909090909),
		[135]=v2fM(0,607106598984772,0,0909090909090909),
		[136]=v2fM(0,650761421319797,0,0909090909090909),
		[137]=v2fM(0,694416243654822,0,0909090909090909),
		[138]=v2fM(0,738071065989848,0,0909090909090909),
		[139]=v2fM(0,781725888324873,0,0909090909090909),
		[140]=v2fM(0,825380710659898,0,0909090909090909),
		[141]=v2fM(0,869035532994924,0,0909090909090909),
		[142]=v2fM(0,912690355329949,0,0909090909090909),
		[143]=v2fM(0,956345177664975,0,0909090909090909),
		[144]=v2fM(0,519796954314721,0,181818181818182),
	},
	FRAME_SIZES={
		[1]={WIDTH=86,HEIGHT=92},
		[2]={WIDTH=86,HEIGHT=92},
		[3]={WIDTH=86,HEIGHT=92},
		[4]={WIDTH=86,HEIGHT=92},
		[5]={WIDTH=86,HEIGHT=92},
		[6]={WIDTH=86,HEIGHT=92},
		[7]={WIDTH=86,HEIGHT=92},
		[8]={WIDTH=86,HEIGHT=92},
		[9]={WIDTH=86,HEIGHT=92},
		[10]={WIDTH=86,HEIGHT=92},
		[11]={WIDTH=86,HEIGHT=92},
		[12]={WIDTH=86,HEIGHT=92},
		[13]={WIDTH=86,HEIGHT=92},
		[14]={WIDTH=86,HEIGHT=92},
		[15]={WIDTH=86,HEIGHT=92},
		[16]={WIDTH=86,HEIGHT=92},
		[17]={WIDTH=86,HEIGHT=92},
		[18]={WIDTH=86,HEIGHT=92},
		[19]={WIDTH=86,HEIGHT=92},
		[20]={WIDTH=86,HEIGHT=92},
		[21]={WIDTH=86,HEIGHT=92},
		[22]={WIDTH=86,HEIGHT=92},
		[23]={WIDTH=86,HEIGHT=92},
		[24]={WIDTH=86,HEIGHT=92},
		[25]={WIDTH=86,HEIGHT=92},
		[26]={WIDTH=86,HEIGHT=92},
		[27]={WIDTH=86,HEIGHT=92},
		[28]={WIDTH=86,HEIGHT=92},
		[29]={WIDTH=86,HEIGHT=92},
		[30]={WIDTH=86,HEIGHT=92},
		[31]={WIDTH=86,HEIGHT=92},
		[32]={WIDTH=86,HEIGHT=92},
		[33]={WIDTH=86,HEIGHT=92},
		[34]={WIDTH=86,HEIGHT=92},
		[35]={WIDTH=86,HEIGHT=92},
		[36]={WIDTH=86,HEIGHT=92},
		[37]={WIDTH=86,HEIGHT=92},
		[38]={WIDTH=86,HEIGHT=92},
		[39]={WIDTH=86,HEIGHT=92},
		[40]={WIDTH=86,HEIGHT=92},
		[41]={WIDTH=86,HEIGHT=92},
		[42]={WIDTH=86,HEIGHT=92},
		[43]={WIDTH=86,HEIGHT=92},
		[44]={WIDTH=86,HEIGHT=92},
		[45]={WIDTH=86,HEIGHT=92},
		[46]={WIDTH=86,HEIGHT=92},
		[47]={WIDTH=86,HEIGHT=92},
		[48]={WIDTH=86,HEIGHT=92},
		[49]={WIDTH=86,HEIGHT=92},
		[50]={WIDTH=86,HEIGHT=92},
		[51]={WIDTH=86,HEIGHT=92},
		[52]={WIDTH=86,HEIGHT=92},
		[53]={WIDTH=86,HEIGHT=92},
		[54]={WIDTH=86,HEIGHT=92},
		[55]={WIDTH=86,HEIGHT=92},
		[56]={WIDTH=86,HEIGHT=92},
		[57]={WIDTH=86,HEIGHT=92},
		[58]={WIDTH=86,HEIGHT=92},
		[59]={WIDTH=86,HEIGHT=92},
		[60]={WIDTH=86,HEIGHT=92},
		[61]={WIDTH=86,HEIGHT=92},
		[62]={WIDTH=86,HEIGHT=92},
		[63]={WIDTH=86,HEIGHT=92},
		[64]={WIDTH=86,HEIGHT=92},
		[65]={WIDTH=86,HEIGHT=92},
		[66]={WIDTH=86,HEIGHT=92},
		[67]={WIDTH=86,HEIGHT=92},
		[68]={WIDTH=86,HEIGHT=92},
		[69]={WIDTH=86,HEIGHT=92},
		[70]={WIDTH=86,HEIGHT=92},
		[71]={WIDTH=86,HEIGHT=92},
		[72]={WIDTH=86,HEIGHT=92},
		[73]={WIDTH=86,HEIGHT=92},
		[74]={WIDTH=86,HEIGHT=92},
		[75]={WIDTH=86,HEIGHT=92},
		[76]={WIDTH=86,HEIGHT=92},
		[77]={WIDTH=86,HEIGHT=92},
		[78]={WIDTH=86,HEIGHT=92},
		[79]={WIDTH=86,HEIGHT=92},
		[80]={WIDTH=86,HEIGHT=92},
		[81]={WIDTH=86,HEIGHT=92},
		[82]={WIDTH=86,HEIGHT=92},
		[83]={WIDTH=86,HEIGHT=92},
		[84]={WIDTH=86,HEIGHT=92},
		[85]={WIDTH=86,HEIGHT=92},
		[86]={WIDTH=86,HEIGHT=92},
		[87]={WIDTH=86,HEIGHT=92},
		[88]={WIDTH=86,HEIGHT=92},
		[89]={WIDTH=86,HEIGHT=92},
		[90]={WIDTH=86,HEIGHT=92},
		[91]={WIDTH=86,HEIGHT=92},
		[92]={WIDTH=86,HEIGHT=92},
		[93]={WIDTH=86,HEIGHT=92},
		[94]={WIDTH=86,HEIGHT=92},
		[95]={WIDTH=86,HEIGHT=92},
		[96]={WIDTH=86,HEIGHT=92},
		[97]={WIDTH=86,HEIGHT=92},
		[98]={WIDTH=86,HEIGHT=92},
		[99]={WIDTH=86,HEIGHT=92},
		[100]={WIDTH=86,HEIGHT=92},
		[101]={WIDTH=86,HEIGHT=92},
		[102]={WIDTH=86,HEIGHT=92},
		[103]={WIDTH=86,HEIGHT=92},
		[104]={WIDTH=86,HEIGHT=92},
		[105]={WIDTH=86,HEIGHT=92},
		[106]={WIDTH=86,HEIGHT=92},
		[107]={WIDTH=86,HEIGHT=92},
		[108]={WIDTH=86,HEIGHT=92},
		[109]={WIDTH=86,HEIGHT=92},
		[110]={WIDTH=86,HEIGHT=92},
		[111]={WIDTH=86,HEIGHT=92},
		[112]={WIDTH=86,HEIGHT=92},
		[113]={WIDTH=86,HEIGHT=92},
		[114]={WIDTH=86,HEIGHT=92},
		[115]={WIDTH=86,HEIGHT=92},
		[116]={WIDTH=86,HEIGHT=92},
		[117]={WIDTH=86,HEIGHT=92},
		[118]={WIDTH=86,HEIGHT=92},
		[119]={WIDTH=86,HEIGHT=92},
		[120]={WIDTH=86,HEIGHT=92},
		[121]={WIDTH=86,HEIGHT=92},
		[122]={WIDTH=86,HEIGHT=92},
		[123]={WIDTH=86,HEIGHT=92},
		[124]={WIDTH=86,HEIGHT=92},
		[125]={WIDTH=86,HEIGHT=92},
		[126]={WIDTH=86,HEIGHT=92},
		[127]={WIDTH=86,HEIGHT=92},
		[128]={WIDTH=86,HEIGHT=92},
		[129]={WIDTH=86,HEIGHT=92},
		[130]={WIDTH=86,HEIGHT=92},
		[131]={WIDTH=86,HEIGHT=92},
		[132]={WIDTH=86,HEIGHT=92},
		[133]={WIDTH=86,HEIGHT=92},
		[134]={WIDTH=86,HEIGHT=92},
		[135]={WIDTH=86,HEIGHT=92},
		[136]={WIDTH=86,HEIGHT=92},
		[137]={WIDTH=86,HEIGHT=92},
		[138]={WIDTH=86,HEIGHT=92},
		[139]={WIDTH=86,HEIGHT=92},
		[140]={WIDTH=86,HEIGHT=92},
		[141]={WIDTH=86,HEIGHT=92},
		[142]={WIDTH=86,HEIGHT=92},
		[143]={WIDTH=86,HEIGHT=92},
		[144]={WIDTH=86,HEIGHT=92},
	},
	FRAME_INDEXS={
		['c-r-heavyw-comp0096']=1,
		['c-r-heavyw-comp0095']=2,
		['c-r-heavyw-comp0098']=3,
		['c-r-heavyw-comp0097']=4,
		['c-r-heavyw-comp0094']=5,
		['c-r-heavyw-comp0091']=6,
		['c-r-heavyw-comp0090']=7,
		['c-r-heavyw-comp0093']=8,
		['c-r-heavyw-comp0092']=9,
		['c-r-heavyw-comp0105']=10,
		['c-r-heavyw-comp0104']=11,
		['c-r-heavyw-comp0107']=12,
		['c-r-heavyw-comp0106']=13,
		['c-r-heavyw-comp0103']=14,
		['c-r-heavyw-comp0100']=15,
		['c-r-heavyw-comp0099']=16,
		['c-r-heavyw-comp0102']=17,
		['c-r-heavyw-comp0101']=18,
		['c-r-heavyw-comp0078']=19,
		['c-r-heavyw-comp0077']=20,
		['c-r-heavyw-comp0080']=21,
		['c-r-heavyw-comp0079']=22,
		['c-r-heavyw-comp0076']=23,
		['c-r-heavyw-comp0073']=24,
		['c-r-heavyw-comp0072']=25,
		['c-r-heavyw-comp0075']=26,
		['c-r-heavyw-comp0074']=27,
		['c-r-heavyw-comp0087']=28,
		['c-r-heavyw-comp0086']=29,
		['c-r-heavyw-comp0089']=30,
		['c-r-heavyw-comp0088']=31,
		['c-r-heavyw-comp0085']=32,
		['c-r-heavyw-comp0082']=33,
		['c-r-heavyw-comp0081']=34,
		['c-r-heavyw-comp0084']=35,
		['c-r-heavyw-comp0083']=36,
		['c-r-heavyw-comp0132']=37,
		['c-r-heavyw-comp0131']=38,
		['c-r-heavyw-comp0134']=39,
		['c-r-heavyw-comp0133']=40,
		['c-r-heavyw-comp0130']=41,
		['c-r-heavyw-comp0127']=42,
		['c-r-heavyw-comp0126']=43,
		['c-r-heavyw-comp0129']=44,
		['c-r-heavyw-comp0128']=45,
		['c-r-heavyw-comp0141']=46,
		['c-r-heavyw-comp0140']=47,
		['c-r-heavyw-comp0143']=48,
		['c-r-heavyw-comp0142']=49,
		['c-r-heavyw-comp0139']=50,
		['c-r-heavyw-comp0136']=51,
		['c-r-heavyw-comp0135']=52,
		['c-r-heavyw-comp0138']=53,
		['c-r-heavyw-comp0137']=54,
		['c-r-heavyw-comp0114']=55,
		['c-r-heavyw-comp0113']=56,
		['c-r-heavyw-comp0116']=57,
		['c-r-heavyw-comp0115']=58,
		['c-r-heavyw-comp0112']=59,
		['c-r-heavyw-comp0109']=60,
		['c-r-heavyw-comp0108']=61,
		['c-r-heavyw-comp0111']=62,
		['c-r-heavyw-comp0110']=63,
		['c-r-heavyw-comp0123']=64,
		['c-r-heavyw-comp0122']=65,
		['c-r-heavyw-comp0125']=66,
		['c-r-heavyw-comp0124']=67,
		['c-r-heavyw-comp0121']=68,
		['c-r-heavyw-comp0118']=69,
		['c-r-heavyw-comp0117']=70,
		['c-r-heavyw-comp0120']=71,
		['c-r-heavyw-comp0119']=72,
		['c-r-heavyw-comp0024']=73,
		['c-r-heavyw-comp0023']=74,
		['c-r-heavyw-comp0026']=75,
		['c-r-heavyw-comp0025']=76,
		['c-r-heavyw-comp0022']=77,
		['c-r-heavyw-comp0019']=78,
		['c-r-heavyw-comp0018']=79,
		['c-r-heavyw-comp0021']=80,
		['c-r-heavyw-comp0020']=81,
		['c-r-heavyw-comp0033']=82,
		['c-r-heavyw-comp0032']=83,
		['c-r-heavyw-comp0035']=84,
		['c-r-heavyw-comp0034']=85,
		['c-r-heavyw-comp0031']=86,
		['c-r-heavyw-comp0028']=87,
		['c-r-heavyw-comp0027']=88,
		['c-r-heavyw-comp0030']=89,
		['c-r-heavyw-comp0029']=90,
		['c-r-heavyw-comp0006']=91,
		['c-r-heavyw-comp0005']=92,
		['c-r-heavyw-comp0008']=93,
		['c-r-heavyw-comp0007']=94,
		['c-r-heavyw-comp0004']=95,
		['c-r-heavyw-comp0001']=96,
		['c-r-heavyw-comp0000']=97,
		['c-r-heavyw-comp0003']=98,
		['c-r-heavyw-comp0002']=99,
		['c-r-heavyw-comp0015']=100,
		['c-r-heavyw-comp0014']=101,
		['c-r-heavyw-comp0017']=102,
		['c-r-heavyw-comp0016']=103,
		['c-r-heavyw-comp0013']=104,
		['c-r-heavyw-comp0010']=105,
		['c-r-heavyw-comp0009']=106,
		['c-r-heavyw-comp0012']=107,
		['c-r-heavyw-comp0011']=108,
		['c-r-heavyw-comp0060']=109,
		['c-r-heavyw-comp0059']=110,
		['c-r-heavyw-comp0062']=111,
		['c-r-heavyw-comp0061']=112,
		['c-r-heavyw-comp0058']=113,
		['c-r-heavyw-comp0055']=114,
		['c-r-heavyw-comp0054']=115,
		['c-r-heavyw-comp0057']=116,
		['c-r-heavyw-comp0056']=117,
		['c-r-heavyw-comp0069']=118,
		['c-r-heavyw-comp0068']=119,
		['c-r-heavyw-comp0071']=120,
		['c-r-heavyw-comp0070']=121,
		['c-r-heavyw-comp0067']=122,
		['c-r-heavyw-comp0064']=123,
		['c-r-heavyw-comp0063']=124,
		['c-r-heavyw-comp0066']=125,
		['c-r-heavyw-comp0065']=126,
		['c-r-heavyw-comp0042']=127,
		['c-r-heavyw-comp0041']=128,
		['c-r-heavyw-comp0044']=129,
		['c-r-heavyw-comp0043']=130,
		['c-r-heavyw-comp0040']=131,
		['c-r-heavyw-comp0037']=132,
		['c-r-heavyw-comp0036']=133,
		['c-r-heavyw-comp0039']=134,
		['c-r-heavyw-comp0038']=135,
		['c-r-heavyw-comp0051']=136,
		['c-r-heavyw-comp0050']=137,
		['c-r-heavyw-comp0053']=138,
		['c-r-heavyw-comp0052']=139,
		['c-r-heavyw-comp0049']=140,
		['c-r-heavyw-comp0046']=141,
		['c-r-heavyw-comp0045']=142,
		['c-r-heavyw-comp0048']=143,
		['c-r-heavyw-comp0047']=144,
	},
};
